Show / Hide Table of Contents

# Class TimingHandle

Class used for tracking a time interval taken.

##### Inheritance

System.Object
TimingEvent
TimingHandle

##### Implements

System.IDisposable
System.IComparable<TimingHandle>

##### Inherited Members

TimingEvent.Id
TimingEvent.StartTime
TimingEvent.Name
TimingEvent.MemberName
TimingEvent.FileName
TimingEvent.LineNumber
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility.Timing

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class TimingHandle : TimingEvent, IDisposable, IComparable<TimingHandle>

### Properties

| Improve this Doc View Source

#### ChildCount

Gets the number of child timings.

##### Declaration

    public uint ChildCount { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Duration

Gets the duration of this timing.

##### Declaration

    public double Duration { get; }

##### Property Value

Type | Description
--- | ---
System.Double |

| Improve this Doc View Source

#### EndTime

Gets the time this timing ended.

##### Declaration

    public double EndTime { get; }

##### Property Value

Type | Description
--- | ---
System.Double |

| Improve this Doc View Source

#### IdChain

Gets the id chain.

##### Declaration

    public long[] IdChain { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int64[] |

| Improve this Doc View Source

#### IsMainThread

Gets a value indicating whether or not this timing was started on the main thread.

##### Declaration

    public bool IsMainThread { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Parent

Gets the parent timing.

##### Declaration

    public TimingHandle Parent { get; }

##### Property Value

Type | Description
--- | ---
TimingHandle |

| Improve this Doc View Source

#### Stack

Gets the attached timing handle stack.

##### Declaration

    public List<TimingHandle> Stack { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<TimingHandle> |

### Methods

| Improve this Doc View Source

#### CompareTo(TimingHandle)

##### Declaration

    public int CompareTo(TimingHandle other)

##### Parameters

Type | Name | Description
--- | --- | ---
TimingHandle | other |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

### Implements

System.IDisposable
System.IComparable<T>